{
  "$schema": "https://schema.management.azure.com/schemas/2019-04-01/deploymentTemplate.json#",
  "contentVersion": "1.0.0.0",
  "parameters": {
    "namespaces_ntfns_odms_stg_name": {
      "type": "String"
    }
  },
  "resources": [
    {
      "apiVersion": "2023-09-01",
      "location": "Japan East",
      "name": "[parameters('namespaces_ntfns_odms_stg_name')]",
      "properties": {
        "namespaceType": "NotificationHub",
        "networkAcls": {},
        "provisioningState": "Succeeded",
        "publicNetworkAccess": "Enabled",
        "status": "Created"
      },
      "sku": {
        "name": "Free"
      },
      "type": "Microsoft.NotificationHubs/namespaces"
    },
    {
      "apiVersion": "2023-09-01",
      "dependsOn": [
        "[resourceId('Microsoft.NotificationHubs/namespaces', parameters('namespaces_ntfns_odms_stg_name'))]"
      ],
      "name": "[concat(parameters('namespaces_ntfns_odms_stg_name'), '/RootManageSharedAccessKey')]",
      "properties": {
        "rights": [
          "Manage",
          "Listen",
          "Send"
        ]
      },
      "type": "Microsoft.NotificationHubs/namespaces/authorizationRules"
    },
    {
      "apiVersion": "2023-09-01",
      "dependsOn": [
        "[resourceId('Microsoft.NotificationHubs/namespaces', parameters('namespaces_ntfns_odms_stg_name'))]"
      ],
      "location": "Japan East",
      "name": "[concat(parameters('namespaces_ntfns_odms_stg_name'), '/ntf-odms-stg')]",
      "properties": {
        "name": "ntf-odms-stg",
        "registrationTtl": "10675199.02:48:05.4775807"
      },
      "tags": {
        "Project": "OMDS",
        "environment": "staging"
      },
      "type": "Microsoft.NotificationHubs/namespaces/notificationHubs"
    },
    {
      "apiVersion": "2023-09-01",
      "dependsOn": [
        "[resourceId('Microsoft.NotificationHubs/namespaces/notificationHubs', parameters('namespaces_ntfns_odms_stg_name'), 'ntf-odms-stg')]",
        "[resourceId('Microsoft.NotificationHubs/namespaces', parameters('namespaces_ntfns_odms_stg_name'))]"
      ],
      "name": "[concat(parameters('namespaces_ntfns_odms_stg_name'), '/ntf-odms-stg/DefaultFullSharedAccessSignature')]",
      "properties": {
        "rights": [
          "Manage",
          "Listen",
          "Send"
        ]
      },
      "type": "Microsoft.NotificationHubs/namespaces/notificationHubs/authorizationRules"
    },
    {
      "apiVersion": "2023-09-01",
      "dependsOn": [
        "[resourceId('Microsoft.NotificationHubs/namespaces/notificationHubs', parameters('namespaces_ntfns_odms_stg_name'), 'ntf-odms-stg')]",
        "[resourceId('Microsoft.NotificationHubs/namespaces', parameters('namespaces_ntfns_odms_stg_name'))]"
      ],
      "name": "[concat(parameters('namespaces_ntfns_odms_stg_name'), '/ntf-odms-stg/DefaultListenSharedAccessSignature')]",
      "properties": {
        "rights": [
          "Listen"
        ]
      },
      "type": "Microsoft.NotificationHubs/namespaces/notificationHubs/authorizationRules"
    }
  ],
  "variables": {}
}
